server:
  port: 0

spring:
  main:
    allow-bean-definition-overriding: true
  webflux:
    base-path: /accounts-service

management:
  security:
    enabled: false
  context-path: /actuator

keycloak:
  auth-server-url: http://localhost:8080/auth
  user-info-uri: ${keycloak.auth-server-url}/realms/${keycloak.realm}/protocol/openid-connect/userinfo
  realm: openh
  client-id: human-clinic
  resource: openh
  public-client: false
  principal-attribute: preferred_username
  ssl-required: none
  bearer-only: true
  use-resource-role-mappings: true
  enabled: true